<?php
class tx_mageconnect_registry
{
	/**
	 * get
	 * Get a variable from the registry
	 * 
	 * @param string $var Variable to retrieve
	 * @return mixed
	 */
	function &get($var) 
	{
		static $instances = array();
		
		// remove to get case-insensitive namespace
		$var = strtolower($var);
		return $instances[$var];
	}
	
	/**
	 * set
	 * Set a variable to the registry
	 * 
	 * @param mixed $object Object/Variable to set
	 * @param string $var Variable Name to indentify
	 */
	function set(&$object,$var)
	{
		$obj = &self::get($var);
		$obj = $object;
		$object = $obj;
	}
	
}
if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_registry.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_registry.php']);
}

	